MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031779Open CASCADE[OCCT] OCCT:Visualizationpublic2020-09-18 14:402021-03-06 13:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031779: Visualization, AIS_ViewController - controller should handle selection schemes
DescriptionCurrent implementation of AIS_ViewController has no interface handling selections schemes introduced by 0030737. Instead, it handles only Replace and XOR schemes via transient Boolean flag.
There are two issues to be considered:
- Propagating other selection schemes.
- Supporting XOR selection scheme for rubber-band selection in Draw Harness with Shift modifier key pressed (this feature has been lost after switching to AIS_ViewController).
Steps To Reproducepload MODELING VISUALIZATION
vclear
box t_box 100 100 100
vdisplay t_box
vfit
vmoveto 0 0
vselmode 2 1

vselect 29 204
vselect 204 306 1
vselect 110 352 1
vselect 110 352 2
vselect 29 204 3
vselect 204 306 4
vmoveto 0 0
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030737verifiedbugmaster Visualization - implementing new selection schemes in context 

-  Notes
(0098577)
git (administrator)
2021-02-01 16:07

Branch CR31779 has been created by mkrylova.

SHA-1: fad0185b4b14edf04dfb95f002f9351316e16fd0


Detailed log of new commits:

Author: mkrylova
Date: Fri Jan 22 10:44:42 2021 +0300

    0031779: Visualization, AIS_ViewController - controller should handle selection schemes
    
    - Propagated Add, Remove and Clear selection schemes.
    - Added supporting XOR selection scheme for rubber-band selection in Draw Harness with Shift modifier key pressed
(0099312)
git (administrator)
2021-03-02 17:56

Branch CR31779_1 has been created by kgv.

SHA-1: 6d8f4e4027fa4b9b2734a1276fefdb88722be4c9


Detailed log of new commits:

Author: mkrylova
Date: Fri Jan 22 10:44:42 2021 +0300

    0031779: Visualization, AIS_ViewController - controller should handle selection schemes
    
    Added AIS_ViewController::MouseSelectionSchemes() property defining map of selection schemes for mouse+modifier combinations.
    IsXOR flag has been replaced by AIS_SelectionScheme in interfaces.
    
    Rubber-band selection with Shift key pressed now applies XOR selection scheme in in Draw Harness.
    Command vselect has been extended to specify selection scheme by name.
(0099319)
git (administrator)
2021-03-02 19:59

Branch CR31779_1 has been updated forcibly by kgv.

SHA-1: d57f150dc8109f23f729e6eb4b286fb0beeb6660
(0099322)
git (administrator)
2021-03-02 21:33

Branch CR31779_1 has been updated forcibly by kgv.

SHA-1: 663d0170be57773cc2d7d89b3891f515d60ace0c
(0099325)
kgv (developer)
2021-03-02 23:22

Please raise the patch
- OCCT: branch CR31779_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31779_1-master-KGV/ [^]
(0099472)
bugmaster (administrator)
2021-03-06 12:15

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099493)
git (administrator)
2021-03-06 13:25

Branch CR31779_1 has been deleted by inv.

SHA-1: 663d0170be57773cc2d7d89b3891f515d60ace0c
(0099504)
git (administrator)
2021-03-06 13:25

Branch CR31779 has been deleted by inv.

SHA-1: fad0185b4b14edf04dfb95f002f9351316e16fd0

- Related Changesets
occt: master e3d4b879
Timestamp: 2021-01-22 07:44:42
Author: mkrylova
Committer: bugmaster
Details ] Diff ]
0031779: Visualization, AIS_ViewController - controller should handle selection schemes

Added AIS_ViewController::MouseSelectionSchemes() property defining map of selection schemes for mouse+modifier combinations.
IsXOR flag has been replaced by AIS_SelectionScheme in interfaces.

Rubber-band selection with Shift key pressed now applies XOR selection scheme in in Draw Harness.
Command vselect has been extended to specify selection scheme by name.
mod - src/AIS/AIS_MouseGesture.hxx Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/AIS/AIS_ViewInputBuffer.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug10702 Diff ] File ]
mod - tests/bugs/vis/bug22048 Diff ] File ]
mod - tests/bugs/vis/bug23539_2 Diff ] File ]
mod - tests/bugs/vis/bug23649_1 Diff ] File ]
mod - tests/bugs/vis/bug23649_2 Diff ] File ]
mod - tests/bugs/vis/bug23649_3 Diff ] File ]
mod - tests/bugs/vis/bug23649_4 Diff ] File ]
mod - tests/bugs/vis/bug26147 Diff ] File ]
mod - tests/bugs/vis/bug26209 Diff ] File ]
mod - tests/bugs/vis/bug26462_1 Diff ] File ]
mod - tests/bugs/vis/bug26779 Diff ] File ]
mod - tests/bugs/vis/bug727 Diff ] File ]
mod - tests/v3d/materials/bug27818_2 Diff ] File ]
mod - tests/v3d/mesh/A1 Diff ] File ]
mod - tests/v3d/mesh/A2 Diff ] File ]
mod - tests/v3d/mesh/B2 Diff ] File ]
mod - tests/v3d/mesh/B3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-18 14:40 kgv New Issue
2020-09-18 14:40 kgv Assigned To => kgv
2020-09-18 14:41 kgv Relationship added child of 0030737
2020-12-14 12:49 kgv Assigned To kgv => mkrylova
2020-12-14 12:49 kgv Status new => assigned
2021-02-01 16:07 git Note Added: 0098577
2021-02-01 16:19 mkrylova Assigned To mkrylova => kgv
2021-02-01 16:19 mkrylova Status assigned => resolved
2021-02-01 16:19 mkrylova Steps to Reproduce Updated View Revisions
2021-03-02 17:56 git Note Added: 0099312
2021-03-02 19:59 git Note Added: 0099319
2021-03-02 21:33 git Note Added: 0099322
2021-03-02 23:22 kgv Note Added: 0099325
2021-03-02 23:22 kgv Assigned To kgv => bugmaster
2021-03-02 23:22 kgv Status resolved => reviewed
2021-03-06 12:15 bugmaster Note Added: 0099472
2021-03-06 12:15 bugmaster Status reviewed => tested
2021-03-06 12:21 bugmaster Test case number => Not required
2021-03-06 12:34 bugmaster Changeset attached => occt master e3d4b879
2021-03-06 12:34 bugmaster Status tested => verified
2021-03-06 12:34 bugmaster Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099493
2021-03-06 13:25 git Note Added: 0099504


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker